/***************************************************************************
 *   This file is part of awesome-widgets                                  *
 *                                                                         *
 *   awesome-widgets is free software: you can redistribute it and/or      *
 *   modify it under the terms of the GNU General Public License as        *
 *   published by the Free Software Foundation, either version 3 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   awesome-widgets is distributed in the hope that it will be useful,    *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with awesome-widgets. If not, see http://www.gnu.org/licenses/  *
 ***************************************************************************/


#ifndef TESTSCRIPTFORMATTER_H
#define TESTSCRIPTFORMATTER_H

#include <QObject>


class AWScriptFormatter;

class TestAWScriptFormatter : public QObject
{
    Q_OBJECT

private slots:
    // initialization
    void initTestCase();
    void cleanupTestCase();
    // test
    void test_values();
    void test_conversion();
    void test_appendCode();
    void test_hasReturn();
    void test_copy();

private:
    AWScriptFormatter *formatter = nullptr;
    QString code = QString("output = value");
    QString codeWithReturn = QString("%1; return output;").arg(code);
    QString fullCode = QString("(function(value) { %1 })").arg(codeWithReturn);
};


#endif /* TESTNOFORMATTER_H */
